LinuxQMISDK: qaGobiApiLoc.h File Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
qaGobiApiLoc.h File Reference
Location Service(LOC)

Location API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | LOCEventRegisterReqResp
struct | LOCExtPowerStateReqResp
struct | LocApplicationInfo
struct | LOCStartReqResp
struct | LOCStopReqResp
struct | SV
struct | SVInfo
struct | GnssData
struct | CellDb
struct | ClkInfo
struct | BdsSV
struct | BdsSVInfo
struct | LocDelAssDataReq

## Functions
ULONG | SLQSLOCEventRegister (LOCEventRegisterReqResp *pLOCEventRegisterReqResp)
ULONG | SLQSLOCSetExtPowerState (LOCExtPowerStateReqResp *pLOCExtPowerStateReqResp)
ULONG | SLQSLOCStart (LOCStartReqResp *pLOCStartReqResp)
ULONG | SLQSLOCStop (LOCStopReqResp *pLOCStopReqResp)
ULONG | SLQSLOCSetOpMode (ULONG mode)
ULONG | SLQSLOCDelAssData (LocDelAssDataReq request)

## Detailed Description

Location API function prototypes.

## Function Documentation

ULONG SLQSLOCDelAssData | ( | LocDelAssDataReq | request | ) |

Used by the control point to delete the location engine assistance data

Parameters

  request[IN] | Input a NULL pointer to delete all assistance data. Otherwise, specify optional fields to be deleted. See LocDelAssDataReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSLOCEventRegister | ( | LOCEventRegisterReqResp * | pLOCEventRegisterReqResp | ) |

Used by the control point to register for events from the location subsystem.

Parameters

  pLOCEventRegisterReqResp[IN] | See LOCEventRegisterReqResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSLOCSetExtPowerState | ( | LOCExtPowerStateReqResp * | pLOCExtPowerStateReqResp | ) |

Used by the control point to set the current external power configuration.

Parameters

  pLOCExtPowerStateReqResp[IN] | See LOCExtPowerStateReqResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSLOCSetOpMode | ( | ULONG | mode | ) |

Used by the control point to tells the engine to use the specified operation mode while making the position fixes

Parameters

  mode[IN] | Valid values: eQMI_LOC_OPER_MODE_DEFAULT (1) - Use the default engine mode eQMI_LOC_OPER_MODE_MSB (2) - Use the MS-based mode eQMI_LOC_OPER_MODE_MSA (3) - Use the MS-assisted mode eQMI_LOC_OPER_MODE_STANDALONE (4) - Use Standalone mode eQMI_LOC_OPER_MODE_CELL_ID (5) - Use cell ID; this mode is only valid for GSM/UMTS networks eQMI_LOC_OPER_MODE_WWAN (6) - Use WWAN measurements to calculate the position; if this mode is set, AFLT will be used for 1X networks and OTDOA will be used for LTE networks

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSLOCStart | ( | LOCStartReqResp * | pLOCStartReqResp | ) |

Used by the control point to initiate a GPS session.

Parameters

  pLOCStartReqResp[IN] | See LOCStartReqResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSLOCStop | ( | LOCStopReqResp * | pLOCStopReqResp | ) |

Used by the control point to stop a GPS session.

Parameters

  pLOCStopReqResp[IN] | See LOCStopReqResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds